'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path, _path2, _path3, _g;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgDinersClub = function SvgDinersClub(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 70 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M0 8a8 8 0 0 1 8-8h54a8 8 0 0 1 8 8v32a8 8 0 0 1-8 8H8a8 8 0 0 1-8-8z"
  })), _path2 || (_path2 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M62 1H8a7 7 0 0 0-7 7v32a7 7 0 0 0 7 7h54a7 7 0 0 0 7-7V8a7 7 0 0 0-7-7M8 0a8 8 0 0 0-8 8v32a8 8 0 0 0 8 8h54a8 8 0 0 0 8-8V8a8 8 0 0 0-8-8z",
    clipRule: "evenodd"
  })), /*#__PURE__*/React__namespace.createElement("mask", {
    id: "DinersClub_svg__a",
    width: 68,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path3 || (_path3 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#D9D9D9",
    d: "M1 8a7 7 0 0 1 7-7h54a7 7 0 0 1 7 7v32a7 7 0 0 1-7 7H8a7 7 0 0 1-7-7z"
  }))), _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    mask: "url(#DinersClub_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#0079BE",
    d: "M38.09 39C45.885 39.037 53 32.584 53 24.734c0-8.584-7.115-14.519-14.91-14.515h-6.709C23.493 10.216 17 16.15 17 24.734 17 32.586 23.493 39.037 31.381 39z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M31.413 11.408c-7.208.003-13.049 5.899-13.051 13.175.002 7.276 5.843 13.172 13.051 13.174 7.21-.002 13.053-5.898 13.053-13.174s-5.842-13.172-13.053-13.175m-8.272 13.175a8.36 8.36 0 0 1 5.31-7.792v15.584a8.36 8.36 0 0 1-5.31-7.792m11.233 7.795V16.79a8.36 8.36 0 0 1 5.314 7.794 8.36 8.36 0 0 1-5.314 7.794"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#0079BE",
    d: "M38.09 39C45.885 39.037 53 32.584 53 24.734c0-8.584-7.115-14.519-14.91-14.515h-6.709C23.493 10.216 17 16.15 17 24.734 17 32.586 23.493 39.037 31.381 39z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M31.413 11.408c-7.208.003-13.049 5.899-13.051 13.175.002 7.276 5.843 13.172 13.051 13.174 7.21-.002 13.053-5.898 13.053-13.174s-5.842-13.172-13.053-13.175m-8.272 13.175a8.36 8.36 0 0 1 5.31-7.792v15.584a8.36 8.36 0 0 1-5.31-7.792m11.233 7.795V16.79a8.36 8.36 0 0 1 5.314 7.794 8.36 8.36 0 0 1-5.314 7.794"
  }))));
};

exports.ReactComponent = SvgDinersClub;
